// creator  : weidu.exe (version 23100)
// argument : FFBART.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FFBART~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 16 21 even though they appear after this state */
~Global("playhouse","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #25617 /* ~Hello, my good smilin' friends!  Here at the Five Flagons you'll find a cheery smile and every beverage in Faerun available for your appreciation!~ */
  IF ~~ THEN REPLY #25618 /* ~I'd like to see what you have available.~ */ GOTO 1
  IF ~Global("knowsmurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)~ THEN REPLY #25619 /* ~What do you know about the murders in this area?~ */ GOTO 2
  IF ~~ THEN REPLY #25620 /* ~You have every type of drink available?  I hardly believe that.~ */ GOTO 3
  IF ~InPartySlot(LastTalkedToBy,0)
GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45792 /* ~You must hear things... a friend of mine has been taken captive by the Cowled Wizards.  Do you know where they keep their prisoners?~ */ GOTO 11
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45793 /* ~Perhaps you could tell me about the war between the thieves' guilds I've been hearing about.~ */ GOTO 15
  IF ~~ THEN REPLY #25621 /* ~I'll be on my way.~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 15.0 14.0 5.0 3.0 2.0 0.0
  SAY #25622 /* ~But of course!  Take a look at the shelves... we have Tethyrian brandy, Sembian mead, Theskan dark ale... even a bit o' dwarven grog, if that tickles your fancy!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 15.1 14.1 8.1 5.1 3.2 0.1
  SAY #25624 /* ~'Tis a terrible thing, and bad for business too, since no one can walk at night. Strike me, though, those poor innocents are more important than my little tavern.~ */
  IF ~!Global("playhouse","GLOBAL",1)~ THEN REPLY #25625 /* ~Can I see what you have available, then?~ */ GOTO 1
  IF ~Global("playhouse","GLOBAL",1)~ THEN REPLY #61151 /* ~Can I see what you have available, then?~ */ GOTO 25
  IF ~~ THEN REPLY #25626 /* ~You said something about having 'all' types of drinks... that isn't true, is it?~ */ GOTO 3
  IF ~~ THEN REPLY #25627 /* ~I'll be on my way, then.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 15.2 14.2 2.2 0.2
  SAY #25628 /* ~It's true as true, my friend!  I may not keep it all on the shelf -not much call for Turmish beer, for instance- but I bet the fur on my feet I have it in the cellar!~ */
  IF ~!Global("playhouse","GLOBAL",1)~ THEN REPLY #25629 /* ~Alright, you've piqued my interest.  Let me look at what you have.~ */ GOTO 1
  IF ~Global("playhouse","GLOBAL",1)~ THEN REPLY #61152 /* ~Let me see what you have, then.~ */ GOTO 25
  IF ~Global("KnowMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
~ THEN REPLY #25630 /* ~What do you know about the murders in the area?~ */ GOTO 2
  IF ~~ THEN REPLY #25631 /* ~I'll be going, now.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 15.4 14.4 5.2 3.3 2.3 0.5
  SAY #25632 /* ~Well, do come back sometime!  Nothing like a good beverage, some entertainment and quality halfling service to put a grin on your face!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #25634 /* ~Why, welcome back, my good friends!  It curls the hairs on my feet to see you once again!  Never let it be said that Samuel Thunderburp forgets a good customer!~ */
  IF ~~ THEN REPLY #25635 /* ~Can I see what you have in stock?~ */ GOTO 1
  IF ~Global("KnowMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
~ THEN REPLY #25636 /* ~Do you know anything about the murders in the area?~ */ GOTO 2
  IF ~~ THEN REPLY #25637 /* ~I'll be on my way, then.~ */ GOTO 4
END

IF ~~ THEN BEGIN 6 // from: 1.0
  SAY #25693 /* ~And if you haven't already, do take a look at the theater established downstairs!  I'm told the plays are a marvel!  Ooo, but I prattle... let me get you a menu...~ */
  IF ~~ THEN DO ~StartStore("ffbart",LastTalkedToBy())
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 16 21 even though they appear after this state */
~Global("playhouse","GLOBAL",1)
!Global("BardPlot1","GLOBAL",61)
!Global("BardPlot1","GLOBAL",20)~ THEN BEGIN 7 // from:
  SAY #40920 /* ~Well, if it isn't the proprietor of my own playhouse!  Good and well met, friend!  Things are going well in the theater, I assume?  Ah, I certainly hope so.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 10.0 7.0
  SAY #40923 /* ~But Samuel Thunderburp is pleased to offer the service of his bar, whether you be here to celebrate or drown a sorrow.  Tell me, what I can do for you?~ */
  IF ~~ THEN REPLY #40924 /* ~I'd like to see your services, please.~ */ GOTO 25
  IF ~Global("KnowMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)~ THEN REPLY #40926 /* ~What do you know about the murders in this area?~ */ GOTO 2
  IF ~~ THEN REPLY #40928 /* ~I'll be on my way.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.2
  SAY #40925 /* ~Well, do come back soon, as you feel up to it.  The playhouse brings me plenty o' business, as it stands, and I'd like to keep you as happy as you can be!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 16 21 even though they appear after this state */
~OR(2)
Global("BardPlot1","GLOBAL",61)
Global("BardPlot1","GLOBAL",20)~ THEN BEGIN 10 // from:
  SAY #40930 /* ~Well, if it isn't the former proprietor of my playhouse!  Well met and good day!  I trust life treats you well enough, even though I notice an extra scar or two.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 11 // from: 15.3 0.3
  SAY #45796 /* ~Hmm. You know... I heard once, long ago, that the Cowled Wizards hired a bunch of Gondar engineers to build a prison to hold the magically inclined.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #45797 /* ~But it wasn't in the city, I recall. Hmm... let me think. It was in my adventuring days, and I was actually trying to get the location of a particular tomb.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #45798 /* ~Well.  I THINK it was somewhere in the Nelanther... the pirate isles to you, I suppose.  But I guess that doesn't help you very much.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #45799 /* ~But even if you did know, how in Arvoreen's name would you get there? The Cowled Wizards don't take intrusion lightly.  Sorry about your friend, my <PRO_LADYLORD>.~ */
  IF ~~ THEN REPLY #45800 /* ~I'd like to see what you have available.~ */ GOTO 1
  IF ~Global("knowsmurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)~ THEN REPLY #45801 /* ~What do you know about the murders in this area?~ */ GOTO 2
  IF ~~ THEN REPLY #45802 /* ~You said something about having 'all' types of drinks... that isn't true, is it?~ */ GOTO 3
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45803 /* ~Perhaps you could tell me about the war between the thieves' guilds I've been hearing about.~ */ GOTO 15
  IF ~~ THEN REPLY #45804 /* ~I'll be on my way.~ */ GOTO 4
END

IF ~~ THEN BEGIN 15 // from: 14.3 0.4
  SAY #45805 /* ~I don't pay much attention to that, myself.  If the thieves are fighting amongst themselves, it would probably be better for everyone if they finished the job.~ */
  IF ~~ THEN REPLY #45806 /* ~I'd like to see what you have available.~ */ GOTO 1
  IF ~Global("knowsmurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)~ THEN REPLY #45807 /* ~What do you know about the murders in this area?~ */ GOTO 2
  IF ~~ THEN REPLY #45808 /* ~You said something about having 'all' types of drinks... that isn't true, is it?~ */ GOTO 3
  IF ~InPartySlot(LastTalkedToBy,0)
GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45809 /* ~You must hear things... a friend of mine has been taken captive by the Cowled Wizards.  Do you know where they keep their prisoners?~ */ GOTO 11
  IF ~~ THEN REPLY #45810 /* ~I'll be on my way.~ */ GOTO 4
END

IF WEIGHT #0 ~See("Mazzy")
InParty("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
Global("InteractMazzy","LOCALS",0)~ THEN BEGIN 16 // from:
  SAY #48785 /* ~Hello, my good smilin' --- Mazzy!  By Brandobaris' stealthy feet, I don't think I've seen you in ages!~ */
  IF ~~ THEN DO ~SetGlobal("InteractMazzy","LOCALS",1)~ EXTERN ~MAZZYJ~ 134
END

IF ~~ THEN BEGIN 17 // from:
  SAY #48787 /* ~How have you been faring, then?  Last I heard, you had hooked up with Patrick and his band up in... what?  Trademeet?  Did you all part ways?~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 135
END

IF ~~ THEN BEGIN 18 // from:
  SAY #48790 /* ~Patrick is... oh, Mazzy, that's terrible.  (sigh)  May the Black Hound watch over them, then, and guide them to their final peace.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 136
END

IF ~~ THEN BEGIN 19 // from:
  SAY #48791 /* ~That's good.  Well, I have you to thank, <CHARNAME>, for saving my favorite halfling paladin.  Here, a pair of my old adventuring boots.  More use to you than I.~ */
  IF ~~ THEN DO ~GiveItemCreate("BOOT02",Player1,0,0,0)~ GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #48792 /* ~As for you, Mazzy, it's good to see you again.  Say hello to Thalia if you get the chance... and don't be a stranger!~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 137
END

IF WEIGHT #1 ~See("HaerDalis")
InParty("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
Global("InteractHaerDalis","LOCALS",0)~ THEN BEGIN 21 // from:
  SAY #48794 /* ~Oho!  Well, hello there, stranger.  I haven't seen you about for quite some time!~ */
  IF ~~ THEN DO ~SetGlobal("InteractHaerDalis","LOCALS",1)~ EXTERN ~HAERDAJ~ 73
END

IF ~~ THEN BEGIN 22 // from: HAERDAJ:73.0
  SAY #48796 /* ~Huh.  Well, there's been several people comin' by to look for you, not to mention your actor friends were all concerned.~ */
  IF ~~ THEN EXTERN ~HAERDAJ~ 74
END

IF ~~ THEN BEGIN 23 // from: HAERDAJ:74.0
  SAY #48798 /* ~Yup, you were missed.  Pretty woman just the other day... oh, yes, and a tall fellow dropped this off for you.  Told me to pass his thanks on to you.~ */
  IF ~~ THEN DO ~GiveItemCreate("misc42","HaerDalis",0,0,0)~ EXTERN ~HAERDAJ~ 75
END

IF ~~ THEN BEGIN 24 // from: HAERDAJ:75.0
  SAY #48800 /* ~Ha!  And flattery like that may just get you a free ale.  On your way now, you strange big'un, you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25 // from: 8.0 3.1 2.1
  SAY #61150 /* ~But of course!  Anything for my favorite bard, as you'd like it!~ */
  IF ~~ THEN DO ~StartStore("ffbart",LastTalkedToBy())~ EXIT
END
